package EasyFile;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * Stellt den Informationsdialog des Ftp-Clients EasyFile dar.
 * Enthalten sind folgende Informationen: Produktbezeichnung,
 * Versionsnummer, Versionsdatum, Lizenz, Kommentar.
 * @author Henrik Warnecke, Ralf Mei&szlig;ner
 * @version 0.3
 */

public class GUI_InfoDlg extends JDialog
{
  JPanel rootPanel = new JPanel();
  GridBagLayout gridBagLayout = new GridBagLayout();
  JButton okButton = new JButton();

  String product = "EasyFile";
  String version = "0.7 (2002-06-19)";
  String copyright = "Lizenz: GPL 2.0 oder hher";
  String comments = "Ein einfacher FTP-Client in Java.";

  JLabel productLabel = new JLabel(product,SwingConstants.CENTER);
  JLabel versionLabel = new JLabel(version,SwingConstants.CENTER);
  JLabel copyrightLabel = new JLabel(copyright,SwingConstants.CENTER);
  JLabel commentsLabel = new JLabel(comments,SwingConstants.CENTER);

  /**
   * Den Info-Dialog des Ftp-Clients EasyFile erzeugen
   */
  public GUI_InfoDlg(Frame parent)
  {
    super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try
    {
      jbInit();
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
    pack();
  }

  /**
   * Initialisierung der Komponenten
   */
  private void jbInit() throws Exception
  {
    //fr spter: imageLabel.setIcon(new ImageIcon(GUI_Infodialog.class.getResource("[Ihre Grafik]")));

    this.setSize(new Dimension(400,250));
    this.setTitle("EasyFile - Info");
    this.getContentPane().add(rootPanel, BorderLayout.CENTER);
    setResizable(false);

    rootPanel.setLayout(gridBagLayout);
    okButton.setText("OK");
    okButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        okButton_actionPerformed(e);
      }
    });

/*        GridBagConstraints(int gridx, int gridy,
                             int gridwidth, int gridheight,
                             double weightx, double weighty,
                             int anchor, int fill,
                             Insets insets(top,left,bottom,right), int ipadx, int ipady)
*/
    rootPanel.add(productLabel,
      new GridBagConstraints(0, 0,
                             1, 1,
                             1.0, 1.0,
                             GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL,
                             new Insets(5, 5, 0, 5), 0, 0));
    rootPanel.add(versionLabel,
      new GridBagConstraints(0, GridBagConstraints.RELATIVE,
                             1, 1,
                             1.0, 1.0,
                             GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL,
                             new Insets(0, 5, 0, 5), 0, 0));
    rootPanel.add(copyrightLabel,
      new GridBagConstraints(0, GridBagConstraints.RELATIVE,
                             1, 1,
                             1.0, 1.0,
                             GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL,
                             new Insets(0, 5, 0, 5), 0, 0));
    rootPanel.add(commentsLabel,
      new GridBagConstraints(0, GridBagConstraints.RELATIVE,
                             1, 1,
                             1.0, 1.0,
                             GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL,
                             new Insets(0, 5, 0, 5), 0, 0));
    rootPanel.add(okButton,
      new GridBagConstraints(0, GridBagConstraints.RELATIVE,
                             1, 1,
                             1.0, 1.0,
                             GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL,
                             new Insets(0, 5, 5, 5), 0, 0));
  }

  /**
   * berschrieben, so da eine Beendigung beim Schlieen des Fensters mglich ist.
   */
  protected void processWindowEvent(WindowEvent e)
  {
    if (e.getID() == WindowEvent.WINDOW_CLOSING)
    {
      cancel();
    }
    super.processWindowEvent(e);
  }

  /**
   * Diesen Dialog schlie&szlig;en.
   */
  void cancel()
  {
    dispose();
  }

  /**
   * Den Dialog schlie&szlig;en beim Bet&auml;tigen der Schaltfl&auml;che
   * &raquo;OK&laquo;.
   * @param e das von der Schaltfl&auml;che &raquo;OK&laquo; ausgel&ouml;ste
   * {@link ActionEvent ActionEvent}.
   */
  public void okButton_actionPerformed(ActionEvent e)
  {
      cancel();
  }
}