package EasyFile;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * Stellt die grafische Benutzeroberfl&auml;che des Log-Dialogs
 * des Ftp-Clients EasyFile dar. Diese Klasse ist damit eine
 * Ansicht (&raquo;View&laquo;) auf die Log-Daten, die von
 * der Klasse {@link Mdl_Log Mdl_Log} verwaltet werden.
 * @author Ralf Mei&szlig;ner, Matthias Ansorg
 * @version 0.3
 */

public class GUI_LogDlg extends JDialog implements Mdl_LogEventListener {
  Mdl_Log theLog;
  JPanel rootPanel = new JPanel();
  JTextArea logbook = new JTextArea();
  JButton close = new JButton();
  GridBagLayout gridBagLayout = new GridBagLayout();
  JScrollPane scrollableLogbook = new JScrollPane(logbook);

  /**
   * Den Log-Dialog erzeugen.
   * @param parent  Das Fenster, von dem der Benutzer den Log-Dialog
   * aufgerufen hat.
   */
  public GUI_LogDlg(Frame parent, Mdl_Log theLog) {
    super(parent);
    this.theLog = theLog;
    try {
      theLog.addMdl_LogEventListener(this);
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    this.getContentPane().add(rootPanel, BorderLayout.CENTER);
    this.setSize(new Dimension(700,250));
    this.setTitle("EasyFile - Loginformationen");

    rootPanel.setPreferredSize(new Dimension(700, 250));
    rootPanel.setMinimumSize(new Dimension(100, 100));
    rootPanel.setLayout(gridBagLayout);

/*        GridBagConstraints(int gridx, int gridy,
                             int gridwidth, int gridheight,
                             double weightx, double weighty,
                             int anchor, int fill,
                             Insets insets(top,left,bottom,right), int ipadx, int ipady)
*/
    rootPanel.add(scrollableLogbook,
      new GridBagConstraints(0, 0,
                             1, 1,
                             1.0, 1.0,
                             GridBagConstraints.CENTER, GridBagConstraints.BOTH,
                             new Insets(0, 0, 0, 0), 0, 0));
    rootPanel.add(close,
      new GridBagConstraints(0, GridBagConstraints.RELATIVE,
                             1, 1,
                             1.0, 0.0,
                             GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL,
                             new Insets(0, 0, 0, 0), 0, 0));
    logbook.setEditable(false);
    close.setText("Schlieen");
    close.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        close_actionPerformed(e);
      }
    });
  }

  /**
   * Beenden des Dialoges
   * @param e Ausl&ouml;sendes &Auml;ktionevent
   */
  void close_actionPerformed(ActionEvent e) {
    dispose();
    }

  /**theHotlistboxMdl
   * F&uuml;gt eine neue Zeile Text im Log-Dialog hinzu.
   * @param e  Enth&auml;lt die neue Zeile Text mit Log-Daten.
   */
  public void logline(LogEvent e){
    logbook.append(e.getLogMsg() + "\n");
  }
}