package EasyFile;

import java.util.EventObject;

/**
 * Wird erzeugt, wenn eine neue Zeile mit Log-Text vorhanden ist.
 * Damit wird den anzeigenden Komponenten mitgeteilt, dass sie
 * diese Zeile in ihre Darstellung des Logs &uuml;bernehmen sollen.
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public class LogEvent extends EventObject {

  /**
   * Der neue hinzugekommene Log-Text.
   */
  StringBuffer logMsg = new StringBuffer();

  /**
   * Eine neue Instanz eines LogEvent erzeugen.
   * @param sorce Das Objekt, von dem diese Instanz des LogEvent erzeugt (und
   * dann normalerweise gesendet) wird. &Uuml;blicherweise &raquo;this&laquo;.
   */
  public LogEvent(Object source) {
    super(source);
  }

  /**
   * Die Zeile Log-Daten, die dieses LogEvent enthalten und transportieren soll,
   * festlegen.
   */
  public void setLogMsg(String s) {
    logMsg.replace(0,logMsg.length(),s);
  }

  /**
   * Die in diesem LogEvent enthaltenen LogDaten erhalten.
   */
  public String getLogMsg() {
    return logMsg.toString();
  }
}