package EasyFile;

import java.util.EventObject;

/**
 * Ereignis, das zu Beginn eines Verzeichnis-Listings erzeugt
 * wird. Das Verzeichnis-Listing kann sich auf das
 * aktuelle Verzeichnis des Ftp-Servers oder des Ftp-Clients
 * beziehen.
 * @author Henrik Warnecke, J&ouml;rg Hoos, Matthias Ansorg, Thomas Martin, Ralf Mei&szlig;ner
 * @version 0.3
 */

public class StartDirEvent extends EventObject {

  public final static int isFtp=0;
  public final static int isLocal=1;

/**
 * Gibt an, ob sich das Event auf ein Verzeichnis-Listing auf
 * dem Ftp-Server (Wert <code>isFtp</code>==0) oder dem lokalen
 * System (Wert <code>isLocal</code>==1) bezieht.
 */
  public int place;

  public StartDirEvent(Object source) {
    super(source);
  }
}